# module RSS::RSS10

# `RSS` 1.0 support¶ ↑

`RSS` has three different versions. This module contains support for version 1.0

## Producing `RSS` 1.0¶ ↑

Producing our own `RSS` feeds is easy as well. Let's make a very basic feed:

    require "rss"

    rss = RSS::Maker.make("1.0") do |maker|
      maker.channel.language = "en"
      maker.channel.author = "matz"
      maker.channel.about = "About my feed."
      maker.channel.updated = Time.now.to_s
      maker.channel.link = "http://www.ruby-lang.org/en/feeds/news.rss"
      maker.channel.title = "Example Feed"
      maker.channel.description = "A longer description of my feed."
      maker.items.new_item do |item|
        item.link = "http://www.ruby-lang.org/en/news/2010/12/25/ruby-1-9-2-p136-is-released/"
        item.title = "Ruby 1.9.2-p136 is released"
        item.updated = Time.now.to_s
      end
    end

    puts rss

As you can see, this is a very Builder-like DSL. This code will spit out an `RSS` 1.0 feed with one item. If we needed a second item, we'd make another block with maker.items.new_item and build a second one.

### Constants

ELEMENTS
NSPOOL

### Public Class Methods

append_features(klass) click to toggle source
Calls superclass method

    # File lib/rss/1.0.rb, line 42
    def self.append_features(klass)
      super

      klass.install_must_call_validator('', ::RSS::URI)
    end